services:
  mongodb:
    container_name: ${CONTAINER_NAME}
    image: mongo:8.2.5
    restart: always
    environment:
      MONGO_INITDB_ROOT_USERNAME: ${PANEL_DB_ROOT_USER}
      MONGO_INITDB_ROOT_PASSWORD: ${PANEL_DB_ROOT_PASSWORD}
    networks:
      - 1panel-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:27017
    volumes:
      - ./data:/data/db
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true